## sdlip.examples
Class SimpleLSP

    java.lang.Object
      |
      +--sdlip.examples.SimpleLSP

All Implemented Interfaces:
  Metadata, Search

public class SimpleLSP
extends java.lang.Object
implements Search, Metadata

This is the SimpleLSP application described in the SDLIP Java tutorial.

Field Summary

Fields inherited from interface sdlip.Search
`MAINTAIN_UNLIMITED, NOT_YET_KNOWN, RETURN_ALL_DOCS, UNKNOWABLE`

Constructor Summary
`SimpleLSP()`

Method Summary
`void` `getInterface(XMLObject version)`
`void` `getPropertyInfo(java.lang.String subcolName, XMLObject propInfo)`
`void` `getSubcollectionInfo(XMLObject subcolInfo)`
`static void` `main(java.lang.String[] args)`
`void` `search(int clientSID, XMLObject subcollections, XMLObject query, int numDocs, XMLObject docProps, int stateTimeoutReq, XMLObject queryOptions, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout, org.omg.CORBA.IntHolder serverSID, XMLObject serverDelegate, XMLObject result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLSP

    public SimpleLSP()

Method Detail

### search

    public void search(int clientSID,
                       XMLObject subcollections,
                       XMLObject query,
                       int numDocs,
                       XMLObject docProps,
                       int stateTimeoutReq,
                       XMLObject queryOptions,
                       org.omg.CORBA.IntHolder expectedTotal,
                       org.omg.CORBA.IntHolder stateTimeout,
                       org.omg.CORBA.IntHolder serverSID,
                       XMLObject serverDelegate,
                       XMLObject result)
                throws SDLIPException

  Specified by:
    `search` in interface `Search`
    `SDLIPException`

### getInterface

    public void getInterface(XMLObject version)
                      throws SDLIPException

  Specified by:
    `getInterface` in interface `Metadata`
    `SDLIPException`

### getSubcollectionInfo

    public void getSubcollectionInfo(XMLObject subcolInfo)
                              throws SDLIPException

  Specified by:
    `getSubcollectionInfo` in interface `Metadata`
    `SDLIPException`

### getPropertyInfo

    public void getPropertyInfo(java.lang.String subcolName,
                                XMLObject propInfo)
                         throws SDLIPException

  Specified by:
    `getPropertyInfo` in interface `Metadata`
    `SDLIPException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`